Bug 730118 - Should add a BuildRequires: make
Summary: Should add a BuildRequires: make
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rel-eng
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 19:55 UTC by Mike McCune
Modified: 2012-02-24 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:15:55 UTC


Attachments (Terms of Use)

Description Mike McCune 2011-08-11 19:55:48 UTC
Building pulp on a freshly installed F15 guest:

# tito build --rpm --test
Building package [pulp-0.0.223-1]
Wrote: /tmp/tito/pulp-git-6.5867a35.tar.gz

########## ERROR ############
Error running command: LC_ALL=C rpmbuild --define "_source_filedigest_algorithm md5"  --define "_binary_filedigest_algorithm md5"  --define "_sourcedir /tmp/tito/rpmbuild-pulp-5867a35f435b63e579c1795e363ae5ab081c2587/SOURCES" --define "_builddir /tmp/tito/rpmbuild-pulp-5867a35f435b63e579c1795e363ae5ab081c2587/BUILD" --define "_srcrpmdir /tmp/tito" --define "_rpmdir /tmp/tito"   --clean -ba /tmp/tito/rpmbuild-pulp-5867a35f435b63e579c1795e363ae5ab081c2587/SOURCES/pulp-git-6.5867a35/pulp.spec
Status code: 256
Command output: error: Failed build dependencies:
	python2-devel is needed by pulp-0.0.223-1.git.6.5867a35.fc15.noarch
	python-nose is needed by pulp-0.0.223-1.git.6.5867a35.fc15.noarch
	hardlink is needed by pulp-0.0.223-1.git.6.5867a35.fc15.noarch

After installing the listed BuildRequires I tried again:

# tito build --rpm --test
WARNING: rpmbuild directory already exists, removing...
Building package [pulp-0.0.223-1]
Wrote: /tmp/tito/pulp-git-6.5867a35.tar.gz

[..snip..]
+ make NAME=mls -f /usr/share/selinux/devel/Makefile
/var/tmp/rpm-tmp.GB0JRo: line 40: make: command not found
error: Bad exit status from /var/tmp/rpm-tmp.GB0JRo (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.GB0JRo (%build)
Traceback (most recent call last):
  File "/usr/bin/tito", line 22, in <module>
    CLI().main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 98, in main
    return module.main(argv)
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 408, in main
    return builder.run(self.options)
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 155, in run
    self._rpm()
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 242, in _rpm
    output = run_command(cmd)
  File "/usr/lib/python2.7/site-packages/tito/common.py", line 121, in run_command
    raise Exception("Error running command")


Note the error requiring make.

Comment 1 Jeff Ortel 2011-08-17 20:15:57 UTC
Added:

%if %{pulp_selinux}
BuildRequires:  make
BuildRequires:  checkpolicy
BuildRequires:  selinux-policy-devel
BuildRequires:  hardlink
%endif

conditional on building SELinux policy.

Comment 2 Jeff Ortel 2011-08-17 20:45:14 UTC
build: 0.225

Comment 3 Preethi Thomas 2011-08-31 15:09:27 UTC
verified


[root@preethi pulp]# tito build --rpm
Checking for tag [pulp-0.0.228-1] in git repo [git://git.fedorahosted.org/git/pulp.git/]
Building package [pulp-0.0.228-1]
Wrote: /tmp/tito/pulp-0.0.228.tar.gz

########## ERROR ############
Error running command: LC_ALL=C rpmbuild --define "_source_filedigest_algorithm md5"  --define "_binary_filedigest_algorithm md5"  --define "_sourcedir /tmp/tito/rpmbuild-pulp-af713864756430309b2330c10f3461e2c677c0e9/SOURCES" --define "_builddir /tmp/tito/rpmbuild-pulp-af713864756430309b2330c10f3461e2c677c0e9/BUILD" --define "_srcrpmdir /tmp/tito" --define "_rpmdir /tmp/tito"   --clean -ba /tmp/tito/rpmbuild-pulp-af713864756430309b2330c10f3461e2c677c0e9/SOURCES/pulp-0.0.228/pulp.spec
Status code: 256
Command output: error: Failed build dependencies:
	make is needed by pulp-0.0.228-1.fc15.noarch
	hardlink is needed by pulp-0.0.228-1.fc15.noarch
Traceback (most recent call last):
  File "/usr/bin/tito", line 22, in <module>
    CLI().main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 98, in main
    return module.main(argv)
  File "/usr/lib/python2.7/site-packages/tito/cli.py", line 408, in main
    return builder.run(self.options)
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 155, in run
    self._rpm()
  File "/usr/lib/python2.7/site-packages/tito/builder.py", line 242, in _rpm
    output = run_command(cmd)
  File "/usr/lib/python2.7/site-packages/tito/common.py", line 121, in run_command
    raise Exception("Error running command")
Exception: Error running command
[root@preethi pulp]#

Comment 4 Preethi Thomas 2012-02-24 20:15:55 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 5 Preethi Thomas 2012-02-24 20:17:27 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.